GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gdcm::SequenceOfFragments Class Reference

Class to represent a Sequence Of Fragments. More...

`#include <gdcmSequenceOfFragments.h>`

Inheritance diagram for gdcm::SequenceOfFragments:
[legend]
Collaboration diagram for gdcm::SequenceOfFragments:
[legend]

## Public Types

typedef FragmentVector::const_iterator | ConstIterator
typedef std::vector< Fragment > | FragmentVector
typedef FragmentVector::iterator | Iterator
typedef FragmentVector::size_type | SizeType

## Public Member Functions

| SequenceOfFragments ()
| constructor (UndefinedLength by default)
void | AddFragment (Fragment const &item)
| Appends a Fragment to the already added ones.
Iterator | Begin ()
ConstIterator | Begin () const
void | Clear ()
| Clear.
unsigned long | ComputeByteLength () const
VL | ComputeLength () const
Iterator | End ()
ConstIterator | End () const
bool | GetBuffer (char *buffer, unsigned long length) const
bool | GetFragBuffer (unsigned int fragNb, char *buffer, unsigned long &length) const
const Fragment & | GetFragment (SizeType num) const
VL | GetLength () const
| Returns the SQ length, as read from disk.
SizeType | GetNumberOfFragments () const
const BasicOffsetTable & | GetTable () const
BasicOffsetTable & | GetTable ()
bool | operator== (const Value &val) const
void | Print (std::ostream &os) const
template<typename TSwap >
std::istream & | Read (std::istream &is)
void | SetLength (VL length)
| Sets the actual SQ length.
template<typename TSwap >
std::ostream const & | Write (std::ostream &os) const
bool | WriteBuffer (std::ostream &os) const
Public Member Functions inherited from gdcm::Value
| Value ()
| ~Value ()
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Static Public Member Functions

static SmartPointer < SequenceOfFragments > | New ()

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

Class to represent a Sequence Of Fragments.

Todo:
  I do not enforce that Sequence of Fragments ends with a SQ end del

Examples:
  FixBrokenJ2K.cxx, FixJAIBugJPEGLS.cxx, and GetJPEGSamplePrecision.cxx.

## Member Typedef Documentation

typedef FragmentVector::const_iterator gdcm::SequenceOfFragments::ConstIterator

typedef std::vector<Fragment> gdcm::SequenceOfFragments::FragmentVector

typedef FragmentVector::iterator gdcm::SequenceOfFragments::Iterator

typedef FragmentVector::size_type gdcm::SequenceOfFragments::SizeType

## Constructor & Destructor Documentation

gdcm::SequenceOfFragments::SequenceOfFragments | ( |  | ) |

inline

constructor (UndefinedLength by default)

## Member Function Documentation

void gdcm::SequenceOfFragments::AddFragment | ( | Fragment const & | item | ) |

Appends a Fragment to the already added ones.

Examples:
  FixBrokenJ2K.cxx.

Iterator gdcm::SequenceOfFragments::Begin | ( |  | ) |

inline

ConstIterator gdcm::SequenceOfFragments::Begin | ( |  | ) | const

inline

void gdcm::SequenceOfFragments::Clear | ( |  | ) |

virtual

Clear.

Implements gdcm::Value.

unsigned long gdcm::SequenceOfFragments::ComputeByteLength | ( |  | ) | const

VL gdcm::SequenceOfFragments::ComputeLength | ( |  | ) | const

Iterator gdcm::SequenceOfFragments::End | ( |  | ) |

inline

ConstIterator gdcm::SequenceOfFragments::End | ( |  | ) | const

inline

bool gdcm::SequenceOfFragments::GetBuffer | ( | char * | buffer,
|  | unsigned long | length
| ) |  | const

bool gdcm::SequenceOfFragments::GetFragBuffer | ( | unsigned int | fragNb,
|  | char * | buffer,
|  | unsigned long & | length
| ) |  | const

const Fragment& gdcm::SequenceOfFragments::GetFragment | ( | SizeType | num | ) | const

Examples:
  FixBrokenJ2K.cxx, and FixJAIBugJPEGLS.cxx.

VL gdcm::SequenceOfFragments::GetLength | ( |  | ) | const

inlinevirtual

Returns the SQ length, as read from disk.

Implements gdcm::Value.

SizeType gdcm::SequenceOfFragments::GetNumberOfFragments | ( |  | ) | const

Examples:
  FixJAIBugJPEGLS.cxx.

const BasicOffsetTable& gdcm::SequenceOfFragments::GetTable | ( |  | ) | const

inline

BasicOffsetTable& gdcm::SequenceOfFragments::GetTable | ( |  | ) |

inline

static SmartPointer<SequenceOfFragments> gdcm::SequenceOfFragments::New | ( |  | ) |

inlinestatic

bool gdcm::SequenceOfFragments::operator== | ( | const Value & | val | ) | const

inlinevirtual

Implements gdcm::Value.

void gdcm::SequenceOfFragments::Print | ( | std::ostream & | os | ) | const

inlinevirtual

Reimplemented from gdcm::Object.

template<typename TSwap >

std::istream& gdcm::SequenceOfFragments::Read | ( | std::istream & | is | ) |

inline

References gdcmDebugMacro, gdcmWarningMacro, gdcm::DataElement::GetTag(), gdcm::DataElement::GetVL(), gdcm::Fragment::Read(), gdcm::DataElement::SetByteValue(), and gdcm::Exception::what().

void gdcm::SequenceOfFragments::SetLength | ( | VL | length | ) |

inlinevirtual

Sets the actual SQ length.

Implements gdcm::Value.

template<typename TSwap >

std::ostream const& gdcm::SequenceOfFragments::Write | ( | std::ostream & | os | ) | const

inline

References gdcm::VL::Write(), and gdcm::Tag::Write().

bool gdcm::SequenceOfFragments::WriteBuffer | ( | std::ostream & | os | ) | const

Examples:
  GetJPEGSamplePrecision.cxx.

The documentation for this class was generated from the following file:

- gdcmSequenceOfFragments.h